Skip to main content
POST
/
v1
/
admin
/
notifications
/
send
Send notification
curl --request POST \
  --url https://{operatorDomain}/v1/admin/notifications/send \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "templateId": "<string>",
  "channel": "<string>",
  "recipient": "<string>",
  "data": {}
}
'
{
  "id": "ndlv_01h...",
  "channel": "<string>",
  "recipient": "<string>",
  "status": "sent",
  "templateId": "<string>",
  "sentAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Staff session or API token issued by your Voyant app.

Body

application/json
templateId
string
channel
string
recipient
string
data
object

Response

200 - application/json

Delivery

id
string
required
Example:

"ndlv_01h..."

channel
string
required
recipient
string
required
status
string
required
Example:

"sent"

templateId
string | null
sentAt
string<date-time> | null